# Create Quick Shipment

## /shipments/quick

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/shipments/quick`

This endpoint allows you to create a shipment.

#### Headers

| Name                                            | Type     | Description                      |
| ----------------------------------------------- | -------- | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | *string* | Set value to `Bearer SECRET_KEY` |
| Content-Type<mark style="color:red;">\*</mark>  | *string* | Set value to `application/json`  |

#### Request Body

| Name                                                | Type     | Description                                                                                                                                                                                     |
| --------------------------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| pickup\_address<mark style="color:red;">\*</mark>   | *object* | Pickup address details for shipment. Refer to [***Address Object***](/tship/miscallaneous/quick-shipments/pickup-delivery-address.md) to see attributes required for pickup\_address.           |
| delivery\_address<mark style="color:red;">\*</mark> | *object* | Delivery address details for shipment. Refer to [***Address Object***](/tship/miscallaneous/quick-shipments/pickup-delivery-address.md) to see attributes required for delivery\_address.       |
| return\_address                                     | *object* | Return address details for shipment. Refer to [***Address Object***](/tship/miscallaneous/quick-shipments/pickup-delivery-address.md) to see attributes required for return\_address.           |
| metadata                                            | *object* | Provide additional context for a shipment.                                                                                                                                                      |
| shipment\_purpose                                   | *string* | Purpose of shipment. Options are ***commercial***, ***personal***, ***sample***, ***return-after-repair***, ***return-for-repair.***                                                            |
| parcel                                              | *object* | Parcel details for shipment. Refer to [**Parcel Object**](/tship/miscallaneous/quick-shipments/parcel.md) to see attributes required for delivery\_address. Required if parcels is not included |
| shipment\_type                                      | *string* | Type of shipment to be created. Options are ***cash-on-delivery*****.** Required if shipment is to be specified as cash-on-delivery                                                             |
| parcels                                             | *array*  | Array of Parcel Object. Required if parcel is not included                                                                                                                                      |

{% tabs %}
{% tab title="200 Shipment created successfully." %}

```
{
	status: true,
	message: 'Shipment created successfully',
	data: {
		address_from: {
			address_id: 'AD-00632494667',	
			city: 'Lagos',
			coordinates: {
					lat: 6.5969424,
					lng: 3.3542992
			},	
			country: 'NGA',
			email: 'augustus_obi@shipmonk.ng',
			first_name: 'Augustus',
			id: 'd799c2679e644279b59fe661ac8fa488',
			is_residential: true,
			last_name: 'Obi',
			line1: '1121 Allen Avenue, Ikeja',
			line2: '',
			metadata: {
				my_app_customer_id: 11234
			},
			name: 'Augustus Obi',
			phone: '+2348122340000',
			state: 'Lagos',
			zip: '121006'			
		},
		address_return: {
			address_id: 'AD-00632494667',	
			city: 'Lagos',
			coordinates: {
					lat: 6.5969424,
					lng: 3.3542992
			},	
			country: 'NGA',
			email: 'augustus_obi@shipmonk.ng',
			first_name: 'Augustus',
			id: 'd799c2679e644279b59fe661ac8fa488',
			is_residential: true,
			last_name: 'Obi',
			line1: '1121 Allen Avenue, Ikeja',
			line2: '',
			metadata: {
				my_app_customer_id: 11234
			},
			name: 'Augustus Obi',
			phone: '+2348122340000',
			state: 'Lagos',
			zip: '121006'		
		},
		address_to: {
			address_id: 'AD-95918335217',	
			city: 'London',
			coordinates: {
					lat: 43.653226,
					lng: -79.3831843
			},	
			country: 'GBR',
			email: 'timothy@shipmonk.ng',
			first_name: 'Timothy',
			id: 'S3YLVnGo9eKpMMbEQcWjgCraLqnNY2Oy',
			is_residential: true,
			last_name: 'Odunubi',
			line1: '45 Greenwich Lane, London',
			line2: '',
			metadata: {
				my_app_customer_id: 10567
			},
			name: 'Timothy Odunubi',
			phone: '+447514022567',
			state: '',
			zip: 'SE5 4HB'		
		},
		events: [],
		id: 'BUbL05Ecprhc2q17Xh9woRSwNpXJehay',
		metadata: {},
		parcel: {
			description: true,
			id: 'Zt4Xh2pbbCmeVcr5YH9lsFHGqoW3i5w3',
			items: [{
				description: 'Shoes purchased from Shipmonk Store',
				name: 'Rubber Boots',
				currency: 'NGN',
				value: 25000',
				weight: 2.5
				quantity: 1
			}],
			metadata: {},		
			packaging: 'LsuiGzcYlz4dKRYnEXeobJu9gnVbQVXN',
			parcel_id: 'PC-25164820699',
			total_weight: 2.51,
			weight: 2.5,
			weight_unit: 'kg'		
		},
		rate: '',
		shipment_id: 'SH-40208776515',
		status: 'draft',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/shipment/create-quick-shipment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
